Bug 723966 - Review Request: python-wtforms - Forms validation and rendering library for python
Summary: Review Request: python-wtforms - Forms validation and rendering library for p...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: pjp
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 723965 (view as bug list)
Depends On: 724006
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-07-21 16:19 UTC by Praveen Kumar
Modified: 2014-06-01 22:26 UTC (History)
3 users (show)

Fixed In Version: python-wtforms-2.0-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-20 15:53:40 UTC
Type: ---
pj.pandit: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Praveen Kumar 2011-07-21 16:19:48 UTC
Spec URL: http://kumarpraveen.fedorapeople.org/wtforms/python-wtforms.spec
SRPM URL: http://kumarpraveen.fedorapeople.org/wtforms/python-wtforms-0.6.3-1.fc15.src.rpm
Description: With wtforms, your form field HTML can be generated for you. 
This allows you to maintain separation of code and presentation, and keep those messy parameters out of your python code.

Koji Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3220397

Comment 1 pjp 2011-07-23 04:10:24 UTC
[X] Package name - ok.
[X] Package group - ok.
[X] Package license - ok.
[X] Build successful - ok.

[X] $ rpmlint SRPMS/python-wtforms-0.6.3-1.fc14.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

  - ok.

[X] $ rpmlint RPMS/noarch/python-wtforms-0.6.3-1.fc14.noarch.rpm 
python-wtforms.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-wtforms-0.6.3/docs/index.rst
python-wtforms.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-wtforms-0.6.3/docs/Makefile
python-wtforms.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-wtforms-0.6.3/CHANGES.txt
python-wtforms.noarch: W: hidden-file-or-dir /usr/share/doc/python-wtforms-0.6.3/docs/html/.buildinfo
python-wtforms.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-wtforms-0.6.3/docs/conf.py
python-wtforms.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-wtforms-0.6.3/docs/html/_sources/index.txt
1 packages and 0 specfiles checked; 0 errors, 6 warnings.

   - it's ok. But still try and see if you could fix the wrong end of line warnings. 

see -> http://fedoraproject.org/wiki/Common_Rpmlint_issues#wrong-file-end-of-line-encoding

[X] Install/Un-install  - ok.

Overall good.

Comment 2 pjp 2011-07-23 04:11:16 UTC
Approved.

Comment 3 Praveen Kumar 2011-07-23 04:45:25 UTC
Thanks for noticing me those warnings, I updated spec according to that.

Spec URL: http://kumarpraveen.fedorapeople.org/wtforms/python-wtforms.spec
SRPM URL:
http://kumarpraveen.fedorapeople.org/wtforms/python-wtforms-0.6.3-1.fc15.src.rpm

Comment 4 Praveen Kumar 2011-07-23 04:46:44 UTC
New Package SCM Request
=======================
Package Name: python-wtforms
Short Description: Forms validation and rendering library for python
Owners: kumarpraveen sundaram pjp
Branches: f14 f15 el6

Comment 5 Gwyn Ciesla 2011-07-23 14:30:59 UTC
Git done (by process-git-requests).

Comment 6 Praveen Kumar 2012-05-03 07:13:25 UTC
*** Bug 723965 has been marked as a duplicate of this bug. ***

Comment 7 Fedora Update System 2012-05-28 15:24:49 UTC
python-wtforms-0.6.3-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-wtforms-0.6.3-2.el6

Comment 8 Fedora Update System 2012-05-28 18:01:08 UTC
python-wtforms-0.6.3-2.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 9 Fedora Update System 2012-12-20 15:53:42 UTC
python-wtforms-0.6.3-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 10 Fedora Update System 2014-05-24 09:43:12 UTC
python-wtforms-2.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-wtforms-2.0-1.fc20

Comment 11 Fedora Update System 2014-05-24 10:16:57 UTC
python-wtforms-2.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-wtforms-2.0-1.fc19

Comment 12 Fedora Update System 2014-06-01 22:22:02 UTC
python-wtforms-2.0-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2014-06-01 22:26:35 UTC
python-wtforms-2.0-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.